IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/52
Addresses2^76
/64 networks4,096
- Network
2001:db8:6:8000::/52- First address
2001:db8:6:8000::- Last address
2001:db8:6:8fff:ffff:ffff:ffff:ffff- Addresses
- 75,557,863,725,914,323,419,136 (2^76)
- /64 networks (LANs)
- 4,096
- Full form
2001:0db8:0006:8000:0000:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
8.6.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:6:8000::/52 makes 256 subnets of /60.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:6:8000::/60 | 2001:db8:6:800f:ffff:ffff:ffff:ffff |
| 2 | 2001:db8:6:8010::/60 | 2001:db8:6:801f:ffff:ffff:ffff:ffff |
| 3 | 2001:db8:6:8020::/60 | 2001:db8:6:802f:ffff:ffff:ffff:ffff |
| 4 | 2001:db8:6:8030::/60 | 2001:db8:6:803f:ffff:ffff:ffff:ffff |
| 5 | 2001:db8:6:8040::/60 | 2001:db8:6:804f:ffff:ffff:ffff:ffff |
| 6 | 2001:db8:6:8050::/60 | 2001:db8:6:805f:ffff:ffff:ffff:ffff |
| 7 | 2001:db8:6:8060::/60 | 2001:db8:6:806f:ffff:ffff:ffff:ffff |
| 8 | 2001:db8:6:8070::/60 | 2001:db8:6:807f:ffff:ffff:ffff:ffff |
| 9 | 2001:db8:6:8080::/60 | 2001:db8:6:808f:ffff:ffff:ffff:ffff |
| 10 | 2001:db8:6:8090::/60 | 2001:db8:6:809f:ffff:ffff:ffff:ffff |
| 11 | 2001:db8:6:80a0::/60 | 2001:db8:6:80af:ffff:ffff:ffff:ffff |
| 12 | 2001:db8:6:80b0::/60 | 2001:db8:6:80bf:ffff:ffff:ffff:ffff |
| 13 | 2001:db8:6:80c0::/60 | 2001:db8:6:80cf:ffff:ffff:ffff:ffff |
| 14 | 2001:db8:6:80d0::/60 | 2001:db8:6:80df:ffff:ffff:ffff:ffff |
| 15 | 2001:db8:6:80e0::/60 | 2001:db8:6:80ef:ffff:ffff:ffff:ffff |
| 16 | 2001:db8:6:80f0::/60 | 2001:db8:6:80ff:ffff:ffff:ffff:ffff |
| 17 | 2001:db8:6:8100::/60 | 2001:db8:6:810f:ffff:ffff:ffff:ffff |
| 18 | 2001:db8:6:8110::/60 | 2001:db8:6:811f:ffff:ffff:ffff:ffff |
| 19 | 2001:db8:6:8120::/60 | 2001:db8:6:812f:ffff:ffff:ffff:ffff |
| 20 | 2001:db8:6:8130::/60 | 2001:db8:6:813f:ffff:ffff:ffff:ffff |
| 21 | 2001:db8:6:8140::/60 | 2001:db8:6:814f:ffff:ffff:ffff:ffff |
| 22 | 2001:db8:6:8150::/60 | 2001:db8:6:815f:ffff:ffff:ffff:ffff |
| 23 | 2001:db8:6:8160::/60 | 2001:db8:6:816f:ffff:ffff:ffff:ffff |
| 24 | 2001:db8:6:8170::/60 | 2001:db8:6:817f:ffff:ffff:ffff:ffff |
| 25 | 2001:db8:6:8180::/60 | 2001:db8:6:818f:ffff:ffff:ffff:ffff |
| 26 | 2001:db8:6:8190::/60 | 2001:db8:6:819f:ffff:ffff:ffff:ffff |
| 27 | 2001:db8:6:81a0::/60 | 2001:db8:6:81af:ffff:ffff:ffff:ffff |
| 28 | 2001:db8:6:81b0::/60 | 2001:db8:6:81bf:ffff:ffff:ffff:ffff |
| 29 | 2001:db8:6:81c0::/60 | 2001:db8:6:81cf:ffff:ffff:ffff:ffff |
| 30 | 2001:db8:6:81d0::/60 | 2001:db8:6:81df:ffff:ffff:ffff:ffff |
| 31 | 2001:db8:6:81e0::/60 | 2001:db8:6:81ef:ffff:ffff:ffff:ffff |
| 32 | 2001:db8:6:81f0::/60 | 2001:db8:6:81ff:ffff:ffff:ffff:ffff |
| 33 | 2001:db8:6:8200::/60 | 2001:db8:6:820f:ffff:ffff:ffff:ffff |
| 34 | 2001:db8:6:8210::/60 | 2001:db8:6:821f:ffff:ffff:ffff:ffff |
| 35 | 2001:db8:6:8220::/60 | 2001:db8:6:822f:ffff:ffff:ffff:ffff |
| 36 | 2001:db8:6:8230::/60 | 2001:db8:6:823f:ffff:ffff:ffff:ffff |
| 37 | 2001:db8:6:8240::/60 | 2001:db8:6:824f:ffff:ffff:ffff:ffff |
| 38 | 2001:db8:6:8250::/60 | 2001:db8:6:825f:ffff:ffff:ffff:ffff |
| 39 | 2001:db8:6:8260::/60 | 2001:db8:6:826f:ffff:ffff:ffff:ffff |
| 40 | 2001:db8:6:8270::/60 | 2001:db8:6:827f:ffff:ffff:ffff:ffff |
| 41 | 2001:db8:6:8280::/60 | 2001:db8:6:828f:ffff:ffff:ffff:ffff |
| 42 | 2001:db8:6:8290::/60 | 2001:db8:6:829f:ffff:ffff:ffff:ffff |
| 43 | 2001:db8:6:82a0::/60 | 2001:db8:6:82af:ffff:ffff:ffff:ffff |
| 44 | 2001:db8:6:82b0::/60 | 2001:db8:6:82bf:ffff:ffff:ffff:ffff |
| 45 | 2001:db8:6:82c0::/60 | 2001:db8:6:82cf:ffff:ffff:ffff:ffff |
| 46 | 2001:db8:6:82d0::/60 | 2001:db8:6:82df:ffff:ffff:ffff:ffff |
| 47 | 2001:db8:6:82e0::/60 | 2001:db8:6:82ef:ffff:ffff:ffff:ffff |
| 48 | 2001:db8:6:82f0::/60 | 2001:db8:6:82ff:ffff:ffff:ffff:ffff |
| 49 | 2001:db8:6:8300::/60 | 2001:db8:6:830f:ffff:ffff:ffff:ffff |
| 50 | 2001:db8:6:8310::/60 | 2001:db8:6:831f:ffff:ffff:ffff:ffff |
| 51 | 2001:db8:6:8320::/60 | 2001:db8:6:832f:ffff:ffff:ffff:ffff |
| 52 | 2001:db8:6:8330::/60 | 2001:db8:6:833f:ffff:ffff:ffff:ffff |
| 53 | 2001:db8:6:8340::/60 | 2001:db8:6:834f:ffff:ffff:ffff:ffff |
| 54 | 2001:db8:6:8350::/60 | 2001:db8:6:835f:ffff:ffff:ffff:ffff |
| 55 | 2001:db8:6:8360::/60 | 2001:db8:6:836f:ffff:ffff:ffff:ffff |
| 56 | 2001:db8:6:8370::/60 | 2001:db8:6:837f:ffff:ffff:ffff:ffff |
| 57 | 2001:db8:6:8380::/60 | 2001:db8:6:838f:ffff:ffff:ffff:ffff |
| 58 | 2001:db8:6:8390::/60 | 2001:db8:6:839f:ffff:ffff:ffff:ffff |
| 59 | 2001:db8:6:83a0::/60 | 2001:db8:6:83af:ffff:ffff:ffff:ffff |
| 60 | 2001:db8:6:83b0::/60 | 2001:db8:6:83bf:ffff:ffff:ffff:ffff |
| 61 | 2001:db8:6:83c0::/60 | 2001:db8:6:83cf:ffff:ffff:ffff:ffff |
| 62 | 2001:db8:6:83d0::/60 | 2001:db8:6:83df:ffff:ffff:ffff:ffff |
| 63 | 2001:db8:6:83e0::/60 | 2001:db8:6:83ef:ffff:ffff:ffff:ffff |
| 64 | 2001:db8:6:83f0::/60 | 2001:db8:6:83ff:ffff:ffff:ffff:ffff |
| 65 | 2001:db8:6:8400::/60 | 2001:db8:6:840f:ffff:ffff:ffff:ffff |
| 66 | 2001:db8:6:8410::/60 | 2001:db8:6:841f:ffff:ffff:ffff:ffff |
| 67 | 2001:db8:6:8420::/60 | 2001:db8:6:842f:ffff:ffff:ffff:ffff |
| 68 | 2001:db8:6:8430::/60 | 2001:db8:6:843f:ffff:ffff:ffff:ffff |
| 69 | 2001:db8:6:8440::/60 | 2001:db8:6:844f:ffff:ffff:ffff:ffff |
| 70 | 2001:db8:6:8450::/60 | 2001:db8:6:845f:ffff:ffff:ffff:ffff |
| 71 | 2001:db8:6:8460::/60 | 2001:db8:6:846f:ffff:ffff:ffff:ffff |
| 72 | 2001:db8:6:8470::/60 | 2001:db8:6:847f:ffff:ffff:ffff:ffff |
| 73 | 2001:db8:6:8480::/60 | 2001:db8:6:848f:ffff:ffff:ffff:ffff |
| 74 | 2001:db8:6:8490::/60 | 2001:db8:6:849f:ffff:ffff:ffff:ffff |
| 75 | 2001:db8:6:84a0::/60 | 2001:db8:6:84af:ffff:ffff:ffff:ffff |
| 76 | 2001:db8:6:84b0::/60 | 2001:db8:6:84bf:ffff:ffff:ffff:ffff |
| 77 | 2001:db8:6:84c0::/60 | 2001:db8:6:84cf:ffff:ffff:ffff:ffff |
| 78 | 2001:db8:6:84d0::/60 | 2001:db8:6:84df:ffff:ffff:ffff:ffff |
| 79 | 2001:db8:6:84e0::/60 | 2001:db8:6:84ef:ffff:ffff:ffff:ffff |
| 80 | 2001:db8:6:84f0::/60 | 2001:db8:6:84ff:ffff:ffff:ffff:ffff |
| 81 | 2001:db8:6:8500::/60 | 2001:db8:6:850f:ffff:ffff:ffff:ffff |
| 82 | 2001:db8:6:8510::/60 | 2001:db8:6:851f:ffff:ffff:ffff:ffff |
| 83 | 2001:db8:6:8520::/60 | 2001:db8:6:852f:ffff:ffff:ffff:ffff |
| 84 | 2001:db8:6:8530::/60 | 2001:db8:6:853f:ffff:ffff:ffff:ffff |
| 85 | 2001:db8:6:8540::/60 | 2001:db8:6:854f:ffff:ffff:ffff:ffff |
| 86 | 2001:db8:6:8550::/60 | 2001:db8:6:855f:ffff:ffff:ffff:ffff |
| 87 | 2001:db8:6:8560::/60 | 2001:db8:6:856f:ffff:ffff:ffff:ffff |
| 88 | 2001:db8:6:8570::/60 | 2001:db8:6:857f:ffff:ffff:ffff:ffff |
| 89 | 2001:db8:6:8580::/60 | 2001:db8:6:858f:ffff:ffff:ffff:ffff |
| 90 | 2001:db8:6:8590::/60 | 2001:db8:6:859f:ffff:ffff:ffff:ffff |
| 91 | 2001:db8:6:85a0::/60 | 2001:db8:6:85af:ffff:ffff:ffff:ffff |
| 92 | 2001:db8:6:85b0::/60 | 2001:db8:6:85bf:ffff:ffff:ffff:ffff |
| 93 | 2001:db8:6:85c0::/60 | 2001:db8:6:85cf:ffff:ffff:ffff:ffff |
| 94 | 2001:db8:6:85d0::/60 | 2001:db8:6:85df:ffff:ffff:ffff:ffff |
| 95 | 2001:db8:6:85e0::/60 | 2001:db8:6:85ef:ffff:ffff:ffff:ffff |
| 96 | 2001:db8:6:85f0::/60 | 2001:db8:6:85ff:ffff:ffff:ffff:ffff |
| 97 | 2001:db8:6:8600::/60 | 2001:db8:6:860f:ffff:ffff:ffff:ffff |
| 98 | 2001:db8:6:8610::/60 | 2001:db8:6:861f:ffff:ffff:ffff:ffff |
| 99 | 2001:db8:6:8620::/60 | 2001:db8:6:862f:ffff:ffff:ffff:ffff |
| 100 | 2001:db8:6:8630::/60 | 2001:db8:6:863f:ffff:ffff:ffff:ffff |
| 101 | 2001:db8:6:8640::/60 | 2001:db8:6:864f:ffff:ffff:ffff:ffff |
| 102 | 2001:db8:6:8650::/60 | 2001:db8:6:865f:ffff:ffff:ffff:ffff |
| 103 | 2001:db8:6:8660::/60 | 2001:db8:6:866f:ffff:ffff:ffff:ffff |
| 104 | 2001:db8:6:8670::/60 | 2001:db8:6:867f:ffff:ffff:ffff:ffff |
| 105 | 2001:db8:6:8680::/60 | 2001:db8:6:868f:ffff:ffff:ffff:ffff |
| 106 | 2001:db8:6:8690::/60 | 2001:db8:6:869f:ffff:ffff:ffff:ffff |
| 107 | 2001:db8:6:86a0::/60 | 2001:db8:6:86af:ffff:ffff:ffff:ffff |
| 108 | 2001:db8:6:86b0::/60 | 2001:db8:6:86bf:ffff:ffff:ffff:ffff |
| 109 | 2001:db8:6:86c0::/60 | 2001:db8:6:86cf:ffff:ffff:ffff:ffff |
| 110 | 2001:db8:6:86d0::/60 | 2001:db8:6:86df:ffff:ffff:ffff:ffff |
| 111 | 2001:db8:6:86e0::/60 | 2001:db8:6:86ef:ffff:ffff:ffff:ffff |
| 112 | 2001:db8:6:86f0::/60 | 2001:db8:6:86ff:ffff:ffff:ffff:ffff |
| 113 | 2001:db8:6:8700::/60 | 2001:db8:6:870f:ffff:ffff:ffff:ffff |
| 114 | 2001:db8:6:8710::/60 | 2001:db8:6:871f:ffff:ffff:ffff:ffff |
| 115 | 2001:db8:6:8720::/60 | 2001:db8:6:872f:ffff:ffff:ffff:ffff |
| 116 | 2001:db8:6:8730::/60 | 2001:db8:6:873f:ffff:ffff:ffff:ffff |
| 117 | 2001:db8:6:8740::/60 | 2001:db8:6:874f:ffff:ffff:ffff:ffff |
| 118 | 2001:db8:6:8750::/60 | 2001:db8:6:875f:ffff:ffff:ffff:ffff |
| 119 | 2001:db8:6:8760::/60 | 2001:db8:6:876f:ffff:ffff:ffff:ffff |
| 120 | 2001:db8:6:8770::/60 | 2001:db8:6:877f:ffff:ffff:ffff:ffff |
| 121 | 2001:db8:6:8780::/60 | 2001:db8:6:878f:ffff:ffff:ffff:ffff |
| 122 | 2001:db8:6:8790::/60 | 2001:db8:6:879f:ffff:ffff:ffff:ffff |
| 123 | 2001:db8:6:87a0::/60 | 2001:db8:6:87af:ffff:ffff:ffff:ffff |
| 124 | 2001:db8:6:87b0::/60 | 2001:db8:6:87bf:ffff:ffff:ffff:ffff |
| 125 | 2001:db8:6:87c0::/60 | 2001:db8:6:87cf:ffff:ffff:ffff:ffff |
| 126 | 2001:db8:6:87d0::/60 | 2001:db8:6:87df:ffff:ffff:ffff:ffff |
| 127 | 2001:db8:6:87e0::/60 | 2001:db8:6:87ef:ffff:ffff:ffff:ffff |
| 128 | 2001:db8:6:87f0::/60 | 2001:db8:6:87ff:ffff:ffff:ffff:ffff |
| 129 | 2001:db8:6:8800::/60 | 2001:db8:6:880f:ffff:ffff:ffff:ffff |
| 130 | 2001:db8:6:8810::/60 | 2001:db8:6:881f:ffff:ffff:ffff:ffff |
| 131 | 2001:db8:6:8820::/60 | 2001:db8:6:882f:ffff:ffff:ffff:ffff |
| 132 | 2001:db8:6:8830::/60 | 2001:db8:6:883f:ffff:ffff:ffff:ffff |
| 133 | 2001:db8:6:8840::/60 | 2001:db8:6:884f:ffff:ffff:ffff:ffff |
| 134 | 2001:db8:6:8850::/60 | 2001:db8:6:885f:ffff:ffff:ffff:ffff |
| 135 | 2001:db8:6:8860::/60 | 2001:db8:6:886f:ffff:ffff:ffff:ffff |
| 136 | 2001:db8:6:8870::/60 | 2001:db8:6:887f:ffff:ffff:ffff:ffff |
| 137 | 2001:db8:6:8880::/60 | 2001:db8:6:888f:ffff:ffff:ffff:ffff |
| 138 | 2001:db8:6:8890::/60 | 2001:db8:6:889f:ffff:ffff:ffff:ffff |
| 139 | 2001:db8:6:88a0::/60 | 2001:db8:6:88af:ffff:ffff:ffff:ffff |
| 140 | 2001:db8:6:88b0::/60 | 2001:db8:6:88bf:ffff:ffff:ffff:ffff |
| 141 | 2001:db8:6:88c0::/60 | 2001:db8:6:88cf:ffff:ffff:ffff:ffff |
| 142 | 2001:db8:6:88d0::/60 | 2001:db8:6:88df:ffff:ffff:ffff:ffff |
| 143 | 2001:db8:6:88e0::/60 | 2001:db8:6:88ef:ffff:ffff:ffff:ffff |
| 144 | 2001:db8:6:88f0::/60 | 2001:db8:6:88ff:ffff:ffff:ffff:ffff |
| 145 | 2001:db8:6:8900::/60 | 2001:db8:6:890f:ffff:ffff:ffff:ffff |
| 146 | 2001:db8:6:8910::/60 | 2001:db8:6:891f:ffff:ffff:ffff:ffff |
| 147 | 2001:db8:6:8920::/60 | 2001:db8:6:892f:ffff:ffff:ffff:ffff |
| 148 | 2001:db8:6:8930::/60 | 2001:db8:6:893f:ffff:ffff:ffff:ffff |
| 149 | 2001:db8:6:8940::/60 | 2001:db8:6:894f:ffff:ffff:ffff:ffff |
| 150 | 2001:db8:6:8950::/60 | 2001:db8:6:895f:ffff:ffff:ffff:ffff |
| 151 | 2001:db8:6:8960::/60 | 2001:db8:6:896f:ffff:ffff:ffff:ffff |
| 152 | 2001:db8:6:8970::/60 | 2001:db8:6:897f:ffff:ffff:ffff:ffff |
| 153 | 2001:db8:6:8980::/60 | 2001:db8:6:898f:ffff:ffff:ffff:ffff |
| 154 | 2001:db8:6:8990::/60 | 2001:db8:6:899f:ffff:ffff:ffff:ffff |
| 155 | 2001:db8:6:89a0::/60 | 2001:db8:6:89af:ffff:ffff:ffff:ffff |
| 156 | 2001:db8:6:89b0::/60 | 2001:db8:6:89bf:ffff:ffff:ffff:ffff |
| 157 | 2001:db8:6:89c0::/60 | 2001:db8:6:89cf:ffff:ffff:ffff:ffff |
| 158 | 2001:db8:6:89d0::/60 | 2001:db8:6:89df:ffff:ffff:ffff:ffff |
| 159 | 2001:db8:6:89e0::/60 | 2001:db8:6:89ef:ffff:ffff:ffff:ffff |
| 160 | 2001:db8:6:89f0::/60 | 2001:db8:6:89ff:ffff:ffff:ffff:ffff |
| 161 | 2001:db8:6:8a00::/60 | 2001:db8:6:8a0f:ffff:ffff:ffff:ffff |
| 162 | 2001:db8:6:8a10::/60 | 2001:db8:6:8a1f:ffff:ffff:ffff:ffff |
| 163 | 2001:db8:6:8a20::/60 | 2001:db8:6:8a2f:ffff:ffff:ffff:ffff |
| 164 | 2001:db8:6:8a30::/60 | 2001:db8:6:8a3f:ffff:ffff:ffff:ffff |
| 165 | 2001:db8:6:8a40::/60 | 2001:db8:6:8a4f:ffff:ffff:ffff:ffff |
| 166 | 2001:db8:6:8a50::/60 | 2001:db8:6:8a5f:ffff:ffff:ffff:ffff |
| 167 | 2001:db8:6:8a60::/60 | 2001:db8:6:8a6f:ffff:ffff:ffff:ffff |
| 168 | 2001:db8:6:8a70::/60 | 2001:db8:6:8a7f:ffff:ffff:ffff:ffff |
| 169 | 2001:db8:6:8a80::/60 | 2001:db8:6:8a8f:ffff:ffff:ffff:ffff |
| 170 | 2001:db8:6:8a90::/60 | 2001:db8:6:8a9f:ffff:ffff:ffff:ffff |
| 171 | 2001:db8:6:8aa0::/60 | 2001:db8:6:8aaf:ffff:ffff:ffff:ffff |
| 172 | 2001:db8:6:8ab0::/60 | 2001:db8:6:8abf:ffff:ffff:ffff:ffff |
| 173 | 2001:db8:6:8ac0::/60 | 2001:db8:6:8acf:ffff:ffff:ffff:ffff |
| 174 | 2001:db8:6:8ad0::/60 | 2001:db8:6:8adf:ffff:ffff:ffff:ffff |
| 175 | 2001:db8:6:8ae0::/60 | 2001:db8:6:8aef:ffff:ffff:ffff:ffff |
| 176 | 2001:db8:6:8af0::/60 | 2001:db8:6:8aff:ffff:ffff:ffff:ffff |
| 177 | 2001:db8:6:8b00::/60 | 2001:db8:6:8b0f:ffff:ffff:ffff:ffff |
| 178 | 2001:db8:6:8b10::/60 | 2001:db8:6:8b1f:ffff:ffff:ffff:ffff |
| 179 | 2001:db8:6:8b20::/60 | 2001:db8:6:8b2f:ffff:ffff:ffff:ffff |
| 180 | 2001:db8:6:8b30::/60 | 2001:db8:6:8b3f:ffff:ffff:ffff:ffff |
| 181 | 2001:db8:6:8b40::/60 | 2001:db8:6:8b4f:ffff:ffff:ffff:ffff |
| 182 | 2001:db8:6:8b50::/60 | 2001:db8:6:8b5f:ffff:ffff:ffff:ffff |
| 183 | 2001:db8:6:8b60::/60 | 2001:db8:6:8b6f:ffff:ffff:ffff:ffff |
| 184 | 2001:db8:6:8b70::/60 | 2001:db8:6:8b7f:ffff:ffff:ffff:ffff |
| 185 | 2001:db8:6:8b80::/60 | 2001:db8:6:8b8f:ffff:ffff:ffff:ffff |
| 186 | 2001:db8:6:8b90::/60 | 2001:db8:6:8b9f:ffff:ffff:ffff:ffff |
| 187 | 2001:db8:6:8ba0::/60 | 2001:db8:6:8baf:ffff:ffff:ffff:ffff |
| 188 | 2001:db8:6:8bb0::/60 | 2001:db8:6:8bbf:ffff:ffff:ffff:ffff |
| 189 | 2001:db8:6:8bc0::/60 | 2001:db8:6:8bcf:ffff:ffff:ffff:ffff |
| 190 | 2001:db8:6:8bd0::/60 | 2001:db8:6:8bdf:ffff:ffff:ffff:ffff |
| 191 | 2001:db8:6:8be0::/60 | 2001:db8:6:8bef:ffff:ffff:ffff:ffff |
| 192 | 2001:db8:6:8bf0::/60 | 2001:db8:6:8bff:ffff:ffff:ffff:ffff |
| 193 | 2001:db8:6:8c00::/60 | 2001:db8:6:8c0f:ffff:ffff:ffff:ffff |
| 194 | 2001:db8:6:8c10::/60 | 2001:db8:6:8c1f:ffff:ffff:ffff:ffff |
| 195 | 2001:db8:6:8c20::/60 | 2001:db8:6:8c2f:ffff:ffff:ffff:ffff |
| 196 | 2001:db8:6:8c30::/60 | 2001:db8:6:8c3f:ffff:ffff:ffff:ffff |
| 197 | 2001:db8:6:8c40::/60 | 2001:db8:6:8c4f:ffff:ffff:ffff:ffff |
| 198 | 2001:db8:6:8c50::/60 | 2001:db8:6:8c5f:ffff:ffff:ffff:ffff |
| 199 | 2001:db8:6:8c60::/60 | 2001:db8:6:8c6f:ffff:ffff:ffff:ffff |
| 200 | 2001:db8:6:8c70::/60 | 2001:db8:6:8c7f:ffff:ffff:ffff:ffff |
| 201 | 2001:db8:6:8c80::/60 | 2001:db8:6:8c8f:ffff:ffff:ffff:ffff |
| 202 | 2001:db8:6:8c90::/60 | 2001:db8:6:8c9f:ffff:ffff:ffff:ffff |
| 203 | 2001:db8:6:8ca0::/60 | 2001:db8:6:8caf:ffff:ffff:ffff:ffff |
| 204 | 2001:db8:6:8cb0::/60 | 2001:db8:6:8cbf:ffff:ffff:ffff:ffff |
| 205 | 2001:db8:6:8cc0::/60 | 2001:db8:6:8ccf:ffff:ffff:ffff:ffff |
| 206 | 2001:db8:6:8cd0::/60 | 2001:db8:6:8cdf:ffff:ffff:ffff:ffff |
| 207 | 2001:db8:6:8ce0::/60 | 2001:db8:6:8cef:ffff:ffff:ffff:ffff |
| 208 | 2001:db8:6:8cf0::/60 | 2001:db8:6:8cff:ffff:ffff:ffff:ffff |
| 209 | 2001:db8:6:8d00::/60 | 2001:db8:6:8d0f:ffff:ffff:ffff:ffff |
| 210 | 2001:db8:6:8d10::/60 | 2001:db8:6:8d1f:ffff:ffff:ffff:ffff |
| 211 | 2001:db8:6:8d20::/60 | 2001:db8:6:8d2f:ffff:ffff:ffff:ffff |
| 212 | 2001:db8:6:8d30::/60 | 2001:db8:6:8d3f:ffff:ffff:ffff:ffff |
| 213 | 2001:db8:6:8d40::/60 | 2001:db8:6:8d4f:ffff:ffff:ffff:ffff |
| 214 | 2001:db8:6:8d50::/60 | 2001:db8:6:8d5f:ffff:ffff:ffff:ffff |
| 215 | 2001:db8:6:8d60::/60 | 2001:db8:6:8d6f:ffff:ffff:ffff:ffff |
| 216 | 2001:db8:6:8d70::/60 | 2001:db8:6:8d7f:ffff:ffff:ffff:ffff |
| 217 | 2001:db8:6:8d80::/60 | 2001:db8:6:8d8f:ffff:ffff:ffff:ffff |
| 218 | 2001:db8:6:8d90::/60 | 2001:db8:6:8d9f:ffff:ffff:ffff:ffff |
| 219 | 2001:db8:6:8da0::/60 | 2001:db8:6:8daf:ffff:ffff:ffff:ffff |
| 220 | 2001:db8:6:8db0::/60 | 2001:db8:6:8dbf:ffff:ffff:ffff:ffff |
| 221 | 2001:db8:6:8dc0::/60 | 2001:db8:6:8dcf:ffff:ffff:ffff:ffff |
| 222 | 2001:db8:6:8dd0::/60 | 2001:db8:6:8ddf:ffff:ffff:ffff:ffff |
| 223 | 2001:db8:6:8de0::/60 | 2001:db8:6:8def:ffff:ffff:ffff:ffff |
| 224 | 2001:db8:6:8df0::/60 | 2001:db8:6:8dff:ffff:ffff:ffff:ffff |
| 225 | 2001:db8:6:8e00::/60 | 2001:db8:6:8e0f:ffff:ffff:ffff:ffff |
| 226 | 2001:db8:6:8e10::/60 | 2001:db8:6:8e1f:ffff:ffff:ffff:ffff |
| 227 | 2001:db8:6:8e20::/60 | 2001:db8:6:8e2f:ffff:ffff:ffff:ffff |
| 228 | 2001:db8:6:8e30::/60 | 2001:db8:6:8e3f:ffff:ffff:ffff:ffff |
| 229 | 2001:db8:6:8e40::/60 | 2001:db8:6:8e4f:ffff:ffff:ffff:ffff |
| 230 | 2001:db8:6:8e50::/60 | 2001:db8:6:8e5f:ffff:ffff:ffff:ffff |
| 231 | 2001:db8:6:8e60::/60 | 2001:db8:6:8e6f:ffff:ffff:ffff:ffff |
| 232 | 2001:db8:6:8e70::/60 | 2001:db8:6:8e7f:ffff:ffff:ffff:ffff |
| 233 | 2001:db8:6:8e80::/60 | 2001:db8:6:8e8f:ffff:ffff:ffff:ffff |
| 234 | 2001:db8:6:8e90::/60 | 2001:db8:6:8e9f:ffff:ffff:ffff:ffff |
| 235 | 2001:db8:6:8ea0::/60 | 2001:db8:6:8eaf:ffff:ffff:ffff:ffff |
| 236 | 2001:db8:6:8eb0::/60 | 2001:db8:6:8ebf:ffff:ffff:ffff:ffff |
| 237 | 2001:db8:6:8ec0::/60 | 2001:db8:6:8ecf:ffff:ffff:ffff:ffff |
| 238 | 2001:db8:6:8ed0::/60 | 2001:db8:6:8edf:ffff:ffff:ffff:ffff |
| 239 | 2001:db8:6:8ee0::/60 | 2001:db8:6:8eef:ffff:ffff:ffff:ffff |
| 240 | 2001:db8:6:8ef0::/60 | 2001:db8:6:8eff:ffff:ffff:ffff:ffff |
| 241 | 2001:db8:6:8f00::/60 | 2001:db8:6:8f0f:ffff:ffff:ffff:ffff |
| 242 | 2001:db8:6:8f10::/60 | 2001:db8:6:8f1f:ffff:ffff:ffff:ffff |
| 243 | 2001:db8:6:8f20::/60 | 2001:db8:6:8f2f:ffff:ffff:ffff:ffff |
| 244 | 2001:db8:6:8f30::/60 | 2001:db8:6:8f3f:ffff:ffff:ffff:ffff |
| 245 | 2001:db8:6:8f40::/60 | 2001:db8:6:8f4f:ffff:ffff:ffff:ffff |
| 246 | 2001:db8:6:8f50::/60 | 2001:db8:6:8f5f:ffff:ffff:ffff:ffff |
| 247 | 2001:db8:6:8f60::/60 | 2001:db8:6:8f6f:ffff:ffff:ffff:ffff |
| 248 | 2001:db8:6:8f70::/60 | 2001:db8:6:8f7f:ffff:ffff:ffff:ffff |
| 249 | 2001:db8:6:8f80::/60 | 2001:db8:6:8f8f:ffff:ffff:ffff:ffff |
| 250 | 2001:db8:6:8f90::/60 | 2001:db8:6:8f9f:ffff:ffff:ffff:ffff |
| 251 | 2001:db8:6:8fa0::/60 | 2001:db8:6:8faf:ffff:ffff:ffff:ffff |
| 252 | 2001:db8:6:8fb0::/60 | 2001:db8:6:8fbf:ffff:ffff:ffff:ffff |
| 253 | 2001:db8:6:8fc0::/60 | 2001:db8:6:8fcf:ffff:ffff:ffff:ffff |
| 254 | 2001:db8:6:8fd0::/60 | 2001:db8:6:8fdf:ffff:ffff:ffff:ffff |
| 255 | 2001:db8:6:8fe0::/60 | 2001:db8:6:8fef:ffff:ffff:ffff:ffff |
| 256 | 2001:db8:6:8ff0::/60 | 2001:db8:6:8fff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |